aboutsummaryrefslogtreecommitdiffstats
path: root/main/busybox/APKBUILD
diff options
context:
space:
mode:
authorKaarle Ritvanen <kaarle.ritvanen@datakunkku.fi>2016-12-23 15:25:12 +0200
committerKaarle Ritvanen <kaarle.ritvanen@datakunkku.fi>2016-12-23 15:25:12 +0200
commit49aef08bd387a8d341dc67e7b3d5ade20eb228e8 (patch)
tree1221c65758a84916189e2e5fae70019d439c3f52 /main/busybox/APKBUILD
parent2f07dfbfd1efd65126d2247b076c10142f7d6696 (diff)
downloadaports-49aef08bd387a8d341dc67e7b3d5ade20eb228e8.tar.gz
aports-49aef08bd387a8d341dc67e7b3d5ade20eb228e8.tar.bz2
aports-49aef08bd387a8d341dc67e7b3d5ade20eb228e8.tar.xz
main/busybox: ifup: block until DAD completion
fixes #2773
Diffstat (limited to 'main/busybox/APKBUILD')
-rw-r--r--main/busybox/APKBUILD8
1 files changed, 7 insertions, 1 deletions
diff --git a/main/busybox/APKBUILD b/main/busybox/APKBUILD
index 5532b9b25b..4e9f3d8971 100644
--- a/main/busybox/APKBUILD
+++ b/main/busybox/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=busybox
pkgver=1.25.1
-pkgrel=0
+pkgrel=1
pkgdesc="Size optimized toolbox of many common UNIX utilities"
url=http://busybox.net
arch="all"
@@ -34,6 +34,7 @@ source="http://busybox.net/downloads/$pkgname-$pkgver.tar.bz2
acpid.logrotate
busyboxconfig
bbsuid.c
+ dad.if-up
nologin.c
"
@@ -105,6 +106,8 @@ package() {
"$pkgdir"/etc/network/if-pre-up.d \
"$pkgdir"/etc/network/if-up.d \
|| return 1
+ install -m775 "$srcdir"/dad.if-up "$pkgdir"/etc/network/if-up.d/dad \
+ || return 1
install -Dm644 "$srcdir"/acpid.logrotate \
"$pkgdir/etc/logrotate.d/acpid" || return 1
@@ -163,6 +166,7 @@ bcfa838ecc36ea8f2012a27561d6910d 0014-ntpd-respond-only-to-client-and-symmetric
4046b78ee6a25259954797d73b94f4bd acpid.logrotate
09ad409662df7d086f0f0485aa8ce259 busyboxconfig
378058009a1d6b1e321617b32b933e28 bbsuid.c
+5c2d151c173f5618d404af4bb5a91769 dad.if-up
d64b58a30892c558bdbab7f0d0997577 nologin.c"
sha256sums="27667e0f2328fdbd79cfd622e4453e5c57e58f781c5da97c9be337d93aa2a02e busybox-1.25.1.tar.bz2
4c28b5613123af696399cd6caed99aaa1a86715fde3ebc00c704425c4f086b0c 0001-ash-exec-busybox.static.patch
@@ -183,6 +187,7 @@ cbe87aa26c161892f82cd319222c1a21768eabcd5b706c8b582a988e981aca10 0015-diff-add-
f7cbeb5a5a47395ad30454ce8262abcd3e91c33ef803c2ae31a9258d7142dd48 acpid.logrotate
c94b126d5957e9fafe6270b5e191024ff0374bff074db6ec98fbbeaa5e82de95 busyboxconfig
52bd2c7c44779f910eedd2fea73ec0de520add400894cc132276587e25c73e39 bbsuid.c
+5a42f9dbe272b5ce792ebf0d67bb5808ede2e470b0fbfbc23192f17e0b7410ae dad.if-up
9bbf0bec82e6d6907474958f3be048c54657fbf49207810b7e4d4d6146f0069d nologin.c"
sha512sums="9648877ed11e5a55213cd14fd64f6fc64dbd17013fbfaa4e67f4fd433f59e9231ed78a88e6e8100a4794d833f1d9863bb86f75faae093418866770804bf873cb busybox-1.25.1.tar.bz2
1d5eaba0531263c2b60697d5c7652a2f700a23132c6d2923b45127ba6d7dcc8ccc6c9bd9054e1639fe0dc40e61147348399692c4f08dbf6a6b7bac3c1f2811f7 0001-ash-exec-busybox.static.patch
@@ -203,4 +208,5 @@ e04ebc53049be29e5ac0c90dd789b2d275c10175629787f729c06aa323ef688b2ed266961d4f841b
dadb4c953ebc755b88ee95c1489feb0c2d352f6e44abc716166024e6eea11ab9d10c84fad62c081775834d205cb04aa1be3c994676c88f4284495c54b9188e8b acpid.logrotate
2f7c256b92f939a88f287529144f25a6bba0cd3491158680237c879507c617e571f95dab302aab586a6ce0261c2337c8210bf29048fb2c472786e55d2295b223 busyboxconfig
c1dd56509277c59751907a27f067f1622191ddfd498acfe390d83136d36a41f2bdfc2fd4daf35af77219a66fb00fea20483f34112afd5df2ccd9f36ab548e66f bbsuid.c
+a1127c8a384294135e11500fde7ead33b73d24b11c21911b08447a4c4ef71d7a9965d6466f60f2da64e3b877213b0a3e924a5add3c5333ee3ecde8c2a91c5e02 dad.if-up
4e7c291a70e879b74c0fc07c54a73ef50537d8be68fee6b2d409425c07afd2d67f9b6afcd8c33a7971014913cc5de85e45079681c9e77200c6cc2f34acfba6d2 nologin.c"